#!/bin/sh

set -e

##functions.sh##

target="$1"
self="$2"
new=`dirname "$self"`/sshd_config
flags="$3"

generated="$CCLUB_CONFIG_GENERATED_DIR/sshd_config"

cp -p "$new" "$generated"
cp -p "${new}.md5sum" "${generated}.md5sum"

rootloginptrn='^[ \t#]*PermitRootLogin[ \t]\+[^\\]*$'
matches=`grep -c "$rootloginptrn" < "$target"`
if [ "$matches" -eq 1 ]; then
    rootlogin=`grep "$rootloginptrn" "$target"`
    sed -i -e "/$rootloginptrn/c\\" -e "$rootlogin" "$generated"
fi


configure_via_copy "$target" "$generated" "$flags"
